Oracle Linux 6139 Published by

A nodejs:16 security update has been released for Oracle Linux 8.



ELSA-2023-5850 Important: Oracle Linux 8 nodejs:16 security update


Oracle Linux Security Advisory ELSA-2023-5850

http://linux.oracle.com/errata/ELSA-2023-5850.html

The following updated rpms for Oracle Linux 8 have been uploaded to the Unbreakable Linux Network:

x86_64:
nodejs-16.20.2-3.0.1.module+el8.8.0+21192+e43554c6.x86_64.rpm
nodejs-devel-16.20.2-3.0.1.module+el8.8.0+21192+e43554c6.x86_64.rpm
nodejs-docs-16.20.2-3.0.1.module+el8.8.0+21192+e43554c6.noarch.rpm
nodejs-full-i18n-16.20.2-3.0.1.module+el8.8.0+21192+e43554c6.x86_64.rpm
nodejs-nodemon-3.0.1-1.module+el8.8.0+21172+0baa0bae.noarch.rpm
nodejs-packaging-26-1.module+el8.8.0+21172+0baa0bae.noarch.rpm
npm-8.19.4-1.16.20.2.3.0.1.module+el8.8.0+21192+e43554c6.x86_64.rpm

aarch64:
nodejs-16.20.2-3.0.1.module+el8.8.0+21192+e43554c6.aarch64.rpm
nodejs-devel-16.20.2-3.0.1.module+el8.8.0+21192+e43554c6.aarch64.rpm
nodejs-docs-16.20.2-3.0.1.module+el8.8.0+21192+e43554c6.noarch.rpm
nodejs-full-i18n-16.20.2-3.0.1.module+el8.8.0+21192+e43554c6.aarch64.rpm
nodejs-nodemon-3.0.1-1.module+el8.8.0+21172+0baa0bae.noarch.rpm
nodejs-packaging-26-1.module+el8.8.0+21172+0baa0bae.noarch.rpm
npm-8.19.4-1.16.20.2.3.0.1.module+el8.8.0+21192+e43554c6.aarch64.rpm

SRPMS:
http://oss.oracle.com/ol8/SRPMS-updates//nodejs-16.20.2-3.0.1.module+el8.8.0+21192+e43554c6.src.rpm
http://oss.oracle.com/ol8/SRPMS-updates//nodejs-nodemon-3.0.1-1.module+el8.8.0+21172+0baa0bae.src.rpm
http://oss.oracle.com/ol8/SRPMS-updates//nodejs-packaging-26-1.module+el8.8.0+21172+0baa0bae.src.rpm

Related CVEs:

CVE-2023-44487

Description of changes:

nodejs
[1:16.20.2-3.0.1]
- Update nghttp2 to 1.57.0
Resolves: CVE-2023-44487

nodejs-nodemon
nodejs-packaging
[26-1]
- nodejs.prov: find namespaced bundled dependencies
- Apply https://src.fedoraproject.org/rpms/nodejs-packaging/c/e24e7df